module shpc_close_m

  implicit none

contains

  subroutine shpc_close(hshp)

    ! Libraries:
    use shapelib, only: shpclose

    use derived_types, only: ori_slice_handler

    TYPE(ori_slice_handler), intent(inout):: hshp

    !-------------------------------------------------------------

    CALL shpclose(hshp%extremum)
    CALL shpclose(hshp%outermost)
    CALL shpclose(hshp%max_speed)
    if (hshp%with_proj) CALL shpclose(hshp%extr_proj)
    close(hshp%unit)
    deallocate(hshp%dir)

  end subroutine shpc_close
  
end module shpc_close_m
